#pragma once

#include "CoreMinimal.h"
#include "ChromaticAberrationParams.generated.h"

USTRUCT(BlueprintType)
struct FChromaticAberrationParams
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Interp)
	float SceneFringeIntensity;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Interp)
	float ChromaticAberrationStartOffset;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	uint8 bOverride_SceneFringeIntensity : 1;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	uint8 bOverride_ChromaticAberrationStartOffset : 1;

public:
	GRAPHICSEXTENSIONS_API FChromaticAberrationParams();
};

FORCEINLINE uint32 GetTypeHash(const FChromaticAberrationParams) { return 0; }
